﻿using Contextlib;
using Microsoft.Data.Sqlite;
using Microsoft.EntityFrameworkCore;
using Microsoft.Extensions.Options;
using StubbedContextLib;
using static System.Net.WebRequestMethods;

var connection = new SqliteConnection("DataSource=:memory:");
connection.Open();
var options = new DbContextOptionsBuilder<WTFContext>()
                    .UseSqlite(connection)
                    .Options;

using (var _context = new StubWTFContext(options))
{
    _context.Database.EnsureCreated();

    // ---- Test Image ---- //

    var imageManager = new DbImagesManager(_context);
    await imageManager.AddImage(new Entity.Images() { Id = 11, ImgPath = "https://www.bing.com/ck/a?!&&p=390428c2820add92760900204667aa721b17d4eb9e8537c91544d76283d06b14JmltdHM9MTc0MjQyODgwMA&ptn=3&ver=2&hsh=4&fclid=297ef5ed-ac44-66f2-2498-e058adb06776&u=a1aHR0cHM6Ly93d3cucG9rZXBlZGlhLmZyL01hamFzcGlj&ntb=1" });

    // ---- Test Character ---- //

    var characterManager = new DbCharacterManager(_context);
    

    await characterManager.AddCharacter(new Entity.Character() { Id = 11, Name = "Majespic", IdImage = 11});

    // recupération données
    var characters = await characterManager.GetAll();
    // affichage des dponnées récupérer
    foreach (var charac in characters.items)
    {
        Console.WriteLine("(" + charac.Id + ") " + charac.Name + " / Image ref :" +  charac.IdImage);
    }


}


